/* 當你想為某一個區塊或方塊，增加背景，請在該區塊/方塊上增加class名稱
例如：

在HTML裡：
<div class="abc">我要增加背景</div> 

在css裡：
.abc{
    background-image: url(../images/body_bg.webp);  <------圖檔位置
    background-position: center; <-----圖片在區塊/方塊裡的定位
    background-size: cover;  <-----圖片在區塊/方塊裡的大小
}

 */

/* 補充 
    學習資料
    https://ithelp.ithome.com.tw/articles/10223887
    https://ithelp.ithome.com.tw/articles/10224214
*/

/* === 全站背景 === */
body {
  background-color: #1099e8;
  background-position: center;
  background-size: 2400px;
}

/* === 固定背景圖 === */
.bgFixed {
  z-index: -1;
  position: fixed;
  background: url("../images/bgsky.png") no-repeat center bottom / 2000px 100vh;
  height: 100vh;
  width: 100%;
}

@media screen and (max-width: 767px) {
  .bgFixed {
    background: url("../images/bgsky-mb.png") no-repeat center top / cover;
  }
}

/* === 主區塊背景 === */
main {
  background: url(../images/topBn_bgrepeat.webp) repeat-x top center / 100% 100%;
  overflow: hidden;
  position: relative;
}

/* === 首圖區 === */
#kvTopBN {
  position: relative;
  background: url("../images/bgtop.jpg") no-repeat center top;
}

/* === KV 導覽點 === */
#kvTopBN2 .swiper-pagination {
  bottom: 25px;
}
@media (max-width: 991px) {
  #kvTopBN2 .swiper-pagination {
    bottom: 4%;
  }
}

/* === Swiper 分頁點樣式 === */
.swiper-pagination-bullet {
  background: #ff2f2fa9;
}
.swiper-pagination-bullet.swiper-pagination-bullet-active {
  background: #ff2f2f;
}

#kvTopBN2 .swiper-pagination-bullet {
  background: #ffff00a9;
}

#kvTopBN2 .swiper-pagination-bullet.swiper-pagination-bullet-active {
  background: #ffff00;
}

.swiper-paginationMK {
  position: absolute;
  text-align: center;
  transition: 0.3s opacity;
  transform: translate3d(0, 0, 0);
  z-index: 10;
  bottom: -5px;
}

/* === 發光文字效果 === */
.shineWord {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  text-align: center;
  background: transparent;
  z-index: 1;
  pointer-events: none;
  filter: brightness(1.5);
  mask-size: 500% 400%;
  mask-image: linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0) 40%,
    rgba(255, 255, 255, 1) 50%,
    rgba(255, 255, 255, 0) 60%
  );
  transition: mask-position 3s;
  transform: translate3d(0, 0, 0);
  animation: move 2s linear infinite;
}

@keyframes move {
  from {
    mask-position: 150% 0px;
  }
  to {
    mask-position: 0% 0px;
  }
}

/* === 按鈕區塊 === */
.btnset a {
  color: #ca9f37;
  border: 3px solid #be0602;
  background: #fff;
  box-shadow: 3px 5px #880f0f;
  line-height: 1.2;
}
.btnset a:hover {
  color: #fff;
  border: 3px solid #ffd392;
  background: #ca141d;
  box-shadow: 3px 5px #8d6e40;
}

@media (max-width: 991px) {
  .btnset {
    font-size: 14px;
  }
}
@media (max-width: 425px) {
  .btnset {
    font-size: 12px;
  }
}

/* === 活動辦法區塊 === */
section#method {
  color: #fff;
}
section#method .container {
  background: #006078a4;
  padding: 10px 0;
  border-radius: 16px;
}
section#method a {
  color: #ffff00;
}
section#method a:hover {
  background: #ffff00;
  color: #013b4a;
  padding: 0 5px;
  border-radius: 24px;
}

/* === 頁尾區 === */
footer {
  position: relative;
  z-index: 999;
}

/* === 區塊樣式 === */
.nocarslideinnBox01 {
  background: #084b7d;
  padding: 10px;
}

.productSetprice .priceBox {
  flex-direction: row !important;
}

.logooutbox .logoinn {
  flex-basis: 11%;
}
@media screen and (max-width: 640px) {
  .logooutbox .logoinn {
    flex-basis: 24%;
  }
}

.squarepppinfoinn-box.pppinfobox {
  background: #075f9e;
  color: #fff;
  text-decoration: none;
}

/* === 活動表格 === */
@media screen and (max-width: 767px) {
  .actablebox {
    font-size: 14px;
  }
  .actablebox th.table-title {
    font-size: 1.2rem;
  }
}

/* === 特效：硬幣飛 === */
.flyCoins {
  z-index: 9;
  position: absolute;
  pointer-events: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(../images/coins.png) repeat-y center top / 1450px;
}
@media (max-width: 767px) {
  .flyCoins {
    background: unset;
  }
}
.flyLeft,
.flyRight {
  z-index: 9;
  position: fixed;
  pointer-events: none;
  width: 25vw;
}
.flyLeft {
  top: 58vh;
  left: -10vw;
}
.flyRight {
  top: 20vh;
  right: -10vw;
}

/* === 滑鼠視差區塊 === */
.mouseParallax {
  position: fixed;
  width: 100vw;
  height: 100vh;
  bottom: -50vh;
  left: 0;
  background: #7f7f7f29;
}

/* === 雲朵圖層 === */
.cloud {
  position: absolute;
  top: 0;
  bottom: 0;
  width: auto;
  height: auto;
  z-index: 999;
  opacity: 0.8;
}

/* === 灑落金箔 === */
#gold {
  position: fixed;
  pointer-events: none;
  overflow: hidden;
  z-index: 8887;
}

.title-overlay {
  position: relative;
  z-index: 999;
}

#mySidepanel {
  z-index: 9999;
}

/* for this page */
#kvTopBN2 {
  position: relative;
  background: url("../images/kvbg.png") no-repeat center top;
  background-size: 2400px;
}

#kvTopBN2 .swiper-pagination {
  bottom: 4px;
}

@media (max-width: 767px) {
  #kvTopBN2 .swiper-pagination {
    bottom: -10px;
  }
}

#kvTopBN2 .kvouter {
  position: relative;
}

#kvTopBN2 .kvtt {
  position: absolute;
  z-index: 99;
  pointer-events: none;
  animation: kvttEnlarge 1s ease-in-out -1s infinite alternate both;
}

@keyframes kvttEnlarge {
  0% {
    scale: 1;
  }

  100% {
    scale: 1.06;
  }
}

@media (max-width: 1199px) {
  #kvTopBN2 {
    background-size: cover;
  }
}

@media (max-width: 991px) {
  #kvTopBN2 .swiper-pagination {
    bottom: 4%;
  }
}

@media (max-width: 767px) {
  #kvTopBN2 {
    position: relative;
    background: url("../images/kvbg-mb.png") no-repeat center top;
    background-size: 100% 100%;
  }

  #kvTopBN2 .kvtt {
    position: relative;
    z-index: 99;
    top: unset;
    left: unset;
    transform: unset;
  }
}

.bgyellow {
  background-image: url("../images/mkbg.png");
  background-position: center top;
  background-attachment: fixed;
  background-size: 2600px;
  background-repeat: repeat-y;
}

/* 加價購 */
#secplus .title {
  margin-top: 30px;
}

#secplus .plus {
  padding-left: 0;
  padding-right: 0;
}

#secplus .memo {
  margin-top: -10px;
}

@media (max-width: 767px) {
  #secplus .title {
    margin-top: 20px;
  }

  #secplus .memo {
    margin-top: 0;
  }
}

/* BOGO */
.bogo01,
.bogo03 {
  margin-top: 60px;
}

.titlebogo {
  margin-top: -80px;
}

.bogo04,
.bogo06 {
  margin-top: -120px;
}

@media (max-width: 767px) {
  .titlebogo {
    margin-top: -60px;
  }

  .bogo01,
  .bogo03 {
    margin-top: unset;
  }

  .bogo04,
  .bogo06 {
    margin-top: unset;
  }
}

/* 必買活動 */
.swiperCover,
.swiperCover2 {
  padding-bottom: 30px;
}

.swiperCover .swiper-slide img,
.swiperCover2 .swiper-slide img {
  opacity: 0.05;
}

.swiperCover .swiper-slide.swiper-slide-prev img,
.swiperCover .swiper-slide.swiper-slide-next img,
.swiperCover2 .swiper-slide.swiper-slide-prev img,
.swiperCover2 .swiper-slide.swiper-slide-next img {
  opacity: 0.5;
}

.swiperCover .swiper-slide.swiper-slide-active img,
.swiperCover2 .swiper-slide.swiper-slide-active img {
  opacity: 1;
}

@media (max-width: 767px) {
  .swiperCover,
  .swiperCover2 {
    margin-top: 10px;
    padding-bottom: 20px;
  }
}

.bgpd {
  position: relative;
  background-size: 100% 100%;
  background-position: center center;
  background-repeat: no-repeat;
  z-index: 9;
}

.bigsizeBox:nth-child(odd) .bgpd {
  background-image: url("../images/bgpdl.png");
  filter: drop-shadow(4px 4px 6px #07507546);
}

.bigsizeBox:nth-child(even) .bgpd {
  background-image: url("../images/bgpdr.png");
  filter: drop-shadow(-4px 4px 6px #07507546);
}

.bgpd .sectitle {
  position: absolute;
  width: 100%;
  max-width: 100%;
  z-index: 999;
  top: -50px;
}

.bgpd .secpd {
  /* z-index: 9999; */
}

/* 5區品類 */
.bigsizeBox {
  margin-top: 80px;
}

@media (max-width: 767px) {
  .bigsizeBox:nth-child(3) {
    margin-top: 40px;
  }
}

/* 女神的美麗神器 */
.titlegod {
  position: relative;
  z-index: 99;
}

.bggod {
  background-image: url("../images/bggod.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  margin-top: -100px;
}

.pdgod {
  position: absolute;
  z-index: 999;
}

.pdgod.pdgod01 {
  width: 23.25%;
  max-width: 23.25%;
  top: 3%;
  left: 5%;
}

.pdgod.pdgod02 {
  width: 34.91%;
  max-width: 34.91%;
  top: 57%;
  left: 10%;
}

.pdgod.pdgod03 {
  position: relative;
  width: 100%;
  max-width: 100%;
  z-index: 99;
}

.pdgod.pdgod04 {
  width: 27.37%;
  max-width: 27.37%;
  top: 45%;
  left: 50%;
}

.pdgod.pdgod05 {
  width: 20.61%;
  max-width: 20.61%;
  top: 10%;
  left: 75%;
}

@media (max-width: 768px) {
  #secgod {
    margin-top: 20px;
  }

  .bggod {
    background-image: url("../images/bggod-mb.png");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    margin-top: -50px;
  }

  .pdgod {
    position: absolute;
    z-index: 999;
  }

  .pdgod.pdgod01 {
    width: 46.01%;
    max-width: 46.01%;
    top: 11%;
    left: 8%;
  }

  .pdgod.pdgod02 {
    width: 69.1%;
    max-width: 69.1%;
    top: 42%;
    left: 6%;
  }

  .pdgod.pdgod03 {
    position: relative;
    width: 100%;
    max-width: 100%;
    z-index: 99;
  }

  .pdgod.pdgod04 {
    width: 54.17%;
    max-width: 54.17%;
    top: 70%;
    left: 4%;
  }

  .pdgod.pdgod05 {
    width: 40.8%;
    max-width: 40.8%;
    top: 55%;
    left: 50%;
  }
}
